<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "AppleBusinessAPI",
  "identifier" : "/documentation/AppleBusinessAPI/Get-Webhook-Information",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:get:v1-webhooks-{}"
  },
  "title" : "Get Webhook Information"
}
-->

# Get Webhook Information

Get information about a specific webhook in an organization.

## Overview

### Example

**Request:**

```
curl "https://api-business.apple.com/v1/webhooks/{id}" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}"
```

**Response:**

```json
{
  "data": {
    "type": "webhooks",
    "id": "webhook-12345",
    "attributes": {
      "name": "Device change notifications",
      "enabled": true,
      "eventTypes": ["ORG_DEVICE_ATTRIBUTE_CHANGED", "ORG_DEVICE_RELATIONSHIP_ASSIGNED_SERVER_CHANGED"],
      "url": "https://example.com/webhooks/apple",
      "createdDateTime": "2026-10-01T10:30:00Z",
      "updatedDateTime": "2026-10-01T10:30:00Z"
    },
    "relationships": {
      "deliveries": {
        "links": {
          "related": "https://api-business.apple.com/v1/webhooks/webhook-12345/deliveries"
        }
      }
    },
    "links": {
      "self": "https://api-business.apple.com/v1/webhooks/webhook-12345"
    }
  },
  "links": {
    "self": "https://api-business.apple.com/v1/webhooks/webhook-12345"
  }
}
```

## Topics

### Responses

[`object WebhookResponse`](/documentation/AppleBusinessAPI/WebhookResponse)

A response that contains information about a webhook resource.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)